Get AI agent
curl --request GET \
--url https://ai.pingmee.co.il/ai-agents/{id} \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://ai.pingmee.co.il/ai-agents/{id}"
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://ai.pingmee.co.il/ai-agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.pingmee.co.il/ai-agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Cookie: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ai.pingmee.co.il/ai-agents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Cookie", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ai.pingmee.co.il/ai-agents/{id}")
.header("Cookie", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.pingmee.co.il/ai-agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Cookie"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"associatedTo": "<string>",
"folderId": "<string>",
"created": 123,
"lastModified": 123,
"isActive": true,
"profileImage": "<string>",
"roles": [
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"webhook": "<string>",
"allRequired": true,
"tool": {}
}
],
"description": "<string>",
"tokensUsed": 123,
"vectorStore": {
"id": "<string>",
"required": true,
"files": [
{}
],
"fileNamesMapping": {}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}AI Agents
Get AI Agent
Returns a single AI agent by ID, including vector store files when available. Path id must be URL-encoded.
GET
/
ai-agents
/
{id}
Get AI agent
curl --request GET \
--url https://ai.pingmee.co.il/ai-agents/{id} \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://ai.pingmee.co.il/ai-agents/{id}"
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://ai.pingmee.co.il/ai-agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.pingmee.co.il/ai-agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Cookie: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ai.pingmee.co.il/ai-agents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Cookie", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ai.pingmee.co.il/ai-agents/{id}")
.header("Cookie", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.pingmee.co.il/ai-agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Cookie"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"associatedTo": "<string>",
"folderId": "<string>",
"created": 123,
"lastModified": 123,
"isActive": true,
"profileImage": "<string>",
"roles": [
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"webhook": "<string>",
"allRequired": true,
"tool": {}
}
],
"description": "<string>",
"tokensUsed": 123,
"vectorStore": {
"id": "<string>",
"required": true,
"files": [
{}
],
"fileNamesMapping": {}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Call this endpoint on the AI service:
https://ai.pingmee.co.il.Authorizations
Personal access token from Pingmee Settings → Developer Tools
Business API key from Pingmee Settings → Developer Tools
Path Parameters
AI agent identifier. Must be URL-encoded when used in the path.
Response
AI agent
AI agent identifier
Display name
Business the agent belongs to
Folder that contains this agent
Unix timestamp (milliseconds) when the agent was created
Unix timestamp (milliseconds) when the agent was last modified
Whether the agent is active
Profile image URL (may be signed)
Show child attributes
Show child attributes
Business / agent description used as context (max 5000 characters)
Maximum string length:
5000Cumulative tokens used by this agent
Show child attributes
Show child attributes
Last modified on August 18, 2026
Was this page helpful?